<?php

namespace NoccyLabs\PulseAudio\Sink;

use NoccyLabs\PulseAudio\PropertyList;

class Sink
{
    
    protected $index;

    protected $name;

    protected $card;

    protected $driver;

    protected $properties;

    public function __construct($index, array $sink)
    {
        $this->index = $index;
        $this->name = $sink['name'];
        $this->card = $sink['card'];
        $this->driver = $sink['driver'];
        $this->properties = new PropertyList($sink['properties'], true);
    }

    public function getProperties()
    {
        return $this->properties;
    }

    public function getIndex()
    {
        return $this->index;
    }

    public function getName()
    {
        return $this->name;
    }

    public function getCard()
    {
        return $this->card;
    }

    public function getDriver()
    {
        return $this->driver;
    }

    public function moveToSink(Sink $sink)
    {

    }

}

